"use client";
import { jsx as e } from "react/jsx-runtime";
import { useState as l } from "react";
import m from "../../../../pageComponents/Footer/components/AccordionFooter/accordionFooter.module.css";
import { AccordionFooterItem as p } from "../AccordionFooterItem/AccordionFooterItem.es.js";
const d = ({ items: n }) => {
  const [r, c] = l(null), s = (t) => {
    c((o) => o === t ? null : t);
  }, i = (t) => r === t;
  return /* @__PURE__ */ e("div", { className: m.root, children: n.map((t, o) => /* @__PURE__ */ e(
    p,
    {
      title: t.title,
      content: t.content,
      isOpen: i(o),
      index: o,
      onClick: s
    },
    o
  )) });
};
export {
  d as AccordionFooter
};
